Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Proceedings/FrmProceedingsAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Proceedings/FrmProceedingsAuxiliary.cs	(revision 365)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Proceedings/FrmProceedingsAuxiliary.cs	(revision 366)
@@ -1171,7 +1171,7 @@
                 int iApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("議事録承認")).Key;
 
                 // 起動元のリストに承認画面があれば表示しない
-                if (ClsApprovalPermission.ExceApprovalScreen())
+                if (ClsCommonApproval.ExceApprovalScreen())
                 {
                     pnlApproval.Visible = false;
                 }
@@ -1184,7 +1184,7 @@
                 btnPetition.Size = new Size(250, btnPetition.Size.Height);
 
                 // ----- 工事コード・承認機能番号取得（申請レコードがなお場合は未申請）
-                if (!ClsApprovalPermission.CheckProcessPetition(m_ConstructionCode, iApprovalCode, CommonDefine.s_Default_OrderNo)) return;
+                if (!ClsCommonApproval.CheckProcessPetition(m_ConstructionCode, iApprovalCode, CommonDefine.s_Default_OrderNo)) return;
 
                 // ----- 申請済の場合
                 // 申請ボタンの表示
@@ -1197,7 +1197,7 @@
                 btnApproval.Visible = true;
 
                 // ----- 承認済の場合
-                if (ClsApprovalPermission.CheckProcessApproval(m_ConstructionCode, iApprovalCode, CommonDefine.s_Default_OrderNo))
+                if (ClsCommonApproval.CheckProcessApproval(m_ConstructionCode, iApprovalCode, CommonDefine.s_Default_OrderNo))
                 {
                     btnApproval.Text = CommonDefine.ApprovalButtonString[1];
                     btnApproval.ForeColor = Color.Black;
@@ -1232,13 +1232,13 @@
                 int iConstructionCode = m_ConstructionBaseInfo.ConstructionCode;
                 int iApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("議事録承認")).Key;
                 // 担当部署取得
-                int DepartmentCode = ClsApprovalPermission.GetFromConstrAndAppTheDep(m_ConstructionBaseInfo.ConstructionCode, iApprovalCode, CommonDefine.s_Default_OrderNo);
+                int DepartmentCode = ClsCommonApproval.GetFromConstrAndAppTheDep(m_ConstructionBaseInfo.ConstructionCode, iApprovalCode, CommonDefine.s_Default_OrderNo);
 
                 // 承認データ取得
-                int ApprovalCount = ClsApprovalPermission.GetProcessApprovalDataCount(iConstructionCode, iApprovalCode, CommonDefine.s_Default_OrderNo);
+                int ApprovalCount = ClsCommonApproval.GetProcessApprovalDataCount(iConstructionCode, iApprovalCode, CommonDefine.s_Default_OrderNo);
 
                 // 承認経路マスタ取得
-                int MasterCount = ClsApprovalPermission.GetApprovalMasterCount(iApprovalCode, DepartmentCode);
+                int MasterCount = ClsCommonApproval.GetApprovalMasterCount(iApprovalCode, DepartmentCode);
 
                 // 初期値セット
                 lblApprovalCount.Text = string.Format("{0}/{1}", ApprovalCount, MasterCount);
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntry.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntry.cs	(revision 365)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntry.cs	(revision 366)
@@ -511,8 +511,16 @@
         /// 新規データ作成フラグ
         /// </summary>
         bool m_bCreateNewData = false;
+
+        #region 承認パネルリスト
+        /// <summary>
+        /// 承認パネルリスト
+        /// </summary>
+        private List<Panel> m_ApplPnlList = new List<Panel>();
         #endregion
 
+        #endregion
+
         #region プロパティ
         /// <summary>
         /// 工事番号
@@ -828,6 +836,9 @@
                 PurchaseOrder DataRec = new PurchaseOrder();
                 if (!OrderDB.SelectAction(strSQL.ToString(), ref DataRec)) m_bChengeAns = true;
 
+                // 承認順チェック
+                if (!CheckApprovalOrder()) return;
+
                 // データ変更有時はデータ登録
                 if (m_bChengeAns)
                 {
@@ -896,6 +907,9 @@
                     if (!DataEntryProcess()) return;
                 }
 
+                // 承認順チェック
+                if (!CheckApprovalOrder()) return;
+
                 // 起動番号
                 int NowPoint = ClsExcute.NextProcess((int)ClsExcute.SubFormExecuteNo.ApprovalScreen);
 
@@ -1537,6 +1551,9 @@
             FrmApprovalScreen frm = new FrmApprovalScreen();
             try
             {
+                /// 承認順チェック
+                if (!CheckApprovalOrder()) return;
+
                 if (MessageBox.Show("案件を承認します、よろしいですか？。", "承認確認"
                                 , MessageBoxButtons.YesNo, MessageBoxIcon.Information) == DialogResult.No) return;
 
@@ -1586,6 +1603,9 @@
             FrmApprovalScreen frm = new FrmApprovalScreen();
             try
             {
+                /// 承認順チェック
+                if (!CheckApprovalOrder()) return;
+
                 if (MessageBox.Show("案件を保留とします、よろしいですか？。", "保留確認"
                                 , MessageBoxButtons.YesNo, MessageBoxIcon.Information) == DialogResult.No) return;
 
@@ -1635,6 +1655,9 @@
             FrmApprovalScreen frm = new FrmApprovalScreen();
             try
             {
+                /// 承認順チェック
+                if (!CheckApprovalOrder()) return;
+
                 if (MessageBox.Show("案件を不承認します、よろしいですか？。", "不承認確認"
                                 , MessageBoxButtons.YesNo, MessageBoxIcon.Information) == DialogResult.No) return;
 
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntryAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntryAuxiliary.cs	(revision 365)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntryAuxiliary.cs	(revision 366)
@@ -63,14 +63,17 @@
 
             m_DspLabelCtrl[(int)DspLblCtrlName.StartingDate] = label8;
             m_DspLabelCtrl[(int)DspLblCtrlName.CompleteDate] = label11;
-        
+
             // ここで固定文字の表示
             lblFixComment.Text = string.Format("※金額変更時の{0}は{1}％で自動計算されます。"
-                                                                ,s_StatutoryWelfareName
+                                                                , s_StatutoryWelfareName
                                                                 , CommonMotions.SystemMasterData.StatutoryWelfareRate.ToString("0.0"));
+
+            m_ApplPnlList.Add(pnlApproval);
+            m_ApplPnlList.Add(pnlApprovalButton);
         }
         #endregion
-        
+
         #region 行選択色へ変更
         /// <summary>
         /// 行を選択色にする
@@ -191,7 +194,7 @@
                 strSQL.Append(" ORDER BY ORDERNO");
                 List<ProcessApprovalDetail> DetailList = new List<ProcessApprovalDetail>();
                 if (!AppDetailDB.SelectAction(strSQL.ToString(), ref DetailList)) return;
-            
+
                 m_DetailList.Clear();
                 foreach (ProcessApprovalDetail CurRec in DetailList)
                 {
@@ -293,14 +296,18 @@
                 if (m_TabPageList.Count < 2) btnPageDelete.Visible = false;
 
                 // 申請・承認表示処理
-                InitApprovalDisplay();
+                if (ClsCommonApproval.CheckProcessApproval(m_ConstructionCode
+                                                , (int)ClsExcute.ApprovalListNo.PurchaseOrderEntryApproval
+                                                , m_OrderNo))
+                {
+                    m_bApprovalLock = true;
+                    m_EditLock = true;
+                }
 
                 // 参照時は変更できない
                 if (m_EditLock)
                 {
                     DisplayReadOnly();
-                    btnApproval.Enabled = false;
-                    btnPetition.Enabled = false;
                 }
 
                 // *-----* 処理移動ボタン設定 *-----*
@@ -307,24 +314,11 @@
                 CreateProcessContextMenu(m_SubForm);
                 // *-----* 処理移動ボタン設定 *-----*
 
-                // 承認画面の「承認対象データを見る」からの起動時は承認ボタンの表示がある
-                bool bApproval = ClsApprovalPermission.ExceApprovalScreen();
-                if (bApproval && !m_SubForm)
-                {
-                    // 工事案件の管理部署を取得する
-                    int DepartmentCode = ClsApprovalPermission.GetFromConstructionTheDepartment(m_ConstructionCode);
-                    // 承認対象コードを取得する
-                    int ApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("注文書承認")).Key;
-                    // 案件に対して申請がされているかを確認する
-                    bool Pettition = ClsApprovalPermission.CheckProcessPetition(m_ConstructionCode, ApprovalCode, m_OrderNo);
-                    // ログイン者が承認者かを確認する
-                    bool Approvaler = ClsApprovalPermission.CheckUserForApprover(ApprovalCode, DepartmentCode);
-                    // 申請中でログイン者が承認者の場合は承認ボタンを表示する
-                    if (Pettition && Approvaler)
-                    {
-                        pnlApprovalButton.Visible = true;
-                    }
-                }
+                // 申請・承認表示処理
+                ClsCommonApproval.CtrlConstrAppPanel((int)ClsExcute.ApprovalListNo.PurchaseOrderEntryApproval
+                                                        , m_ConstructionCode
+                                                        , m_OrderNo
+                                                        , m_ApplPnlList);
             }
             catch (System.Exception ex)
             {
@@ -503,7 +497,7 @@
                     if (!bFirstCompany) strSQL.Append(" OR");
 
                     strSQL.AppendFormat(" COMPANYCODE = {0}", CompanyCode);
-                    
+
                     bFirstCompany = false;
                 }
                 strSQL.Append(")");
@@ -841,7 +835,7 @@
                     strSQL.Append("   On B.SourceCode = A.ConstructionCode");
                     strSQL.Append("   And B.ConstructionCode = A.SourceCode");
                     strSQL.Append("   And B.DetailCount = A.SourceDetailCnt");
-                    
+
                     strSQL.Append(DetailDB.CreatePrimarykeyString(OrderRec.ConstructionCode, OrderRec.SeqNo, -1, 0, "A."));
                     //strSQL.AppendFormat(" And A.GroupCount in ({0}, {1})", (int)PurchaseOrderDetail.GroupCountDef.Detail
                     //                                                    , (int)PurchaseOrderDetail.GroupCountDef.StatutoryWelfare);
@@ -1044,7 +1038,7 @@
                     // 法定福利費は行ロック
                     if (DetailRec.DataTypeFlag == (int)PurchaseOrderDetail.DataTypeFlagDef.StatutoryWelfare)
                         GetRow.ReadOnly = true;
-                        
+
                     iRow++;
                 }
                 // グリッド合計表示
@@ -1207,7 +1201,7 @@
                 inputpage.Group3TextBox[(int)Group3TextBox.CashRatio].Text = "100.0";                                       // 現金割合（％）
                 inputpage.Group3TextBox[(int)Group3TextBox.BillRatio].Text = "0.0";                                         // 手形割合（％）
                 inputpage.Group3TextBox[(int)Group3TextBox.BillPeriod].Text = "0";                                          // 手形期間
-            
+
             }
             catch (System.Exception ex)
             {
@@ -1386,7 +1380,7 @@
                     for (int i = 0; i < CurPage.Group1DataGridView.RowCount; i++)
                     {
                         DataGridViewRow GetRow = CurPage.Group1DataGridView.Rows[i];
-                        
+
                         // 文字が設定されていない場合は無効行
                         if (CommonMotions.cnvString(GetRow.Cells[(int)DispDetailGridColumn.FirstName].Value).Length == 0 &&
                             CommonMotions.cnvString(GetRow.Cells[(int)DispDetailGridColumn.SecondName].Value).Length == 0) continue;
@@ -1470,11 +1464,11 @@
                     }
                     else
                     {   // 正規版データ
-                        List<KeyValuePair<int,double>> CheckField = new List<KeyValuePair<int,double>>();
+                        List<KeyValuePair<int, double>> CheckField = new List<KeyValuePair<int, double>>();
                         if (CurPage.Group3CheckBox[(int)Group3CheckBox.Previous].Checked)
                         {
                             if (CommonMotions.cnvInt(CurPage.Group3TextBox[(int)Group3TextBox.PrePaymentsDays].Text) > 999) bPageAns = false;                   // 前金払日数
-                            
+
                             double field1 = CommonMotions.cnvDouble(CurPage.Group3TextBox[(int)Group3TextBox.PrePaymentsPrice].Text);
                             if (field1 > 9999999999.99) bPageAns = false;     // 前金払金額
                             CheckField.Add(new KeyValuePair<int, double>((int)Group3TextBox.PrePaymentsPrice, field1));
@@ -1484,7 +1478,7 @@
                             if (CommonMotions.cnvInt(CurPage.Group3TextBox[(int)Group3TextBox.PartialPaymentMounth].Text) > 12) bPageAns = false;               // 部分払締切月
                             if (CommonMotions.cnvInt(CurPage.Group3TextBox[(int)Group3TextBox.PartialPaymentDay1].Text) > 31) bPageAns = false;                 // 部分払締切日
                             if (CommonMotions.cnvInt(CurPage.Group3TextBox[(int)Group3TextBox.PartialPaymentDay2].Text) > 31) bPageAns = false;                 // 部分払支払日
-                            
+
                             double field2 = CommonMotions.cnvDouble(CurPage.Group3TextBox[(int)Group3TextBox.PartialPaymentPrice].Text);
                             if (field2 > 9999999999.99) bPageAns = false;	// 部分払金額
                             CheckField.Add(new KeyValuePair<int, double>((int)Group3TextBox.PartialPaymentPrice, field2));
@@ -1543,7 +1537,7 @@
                     if (!bPageAns) errPage = CurPage;
                     bRet &= bPageAns;
                 }
-                
+
                 if (!bRet)
                 {
                     MessageBox.Show("入力エラーがあります、確認してください。", "データ確認", MessageBoxButtons.OK, MessageBoxIcon.Warning);
@@ -1629,9 +1623,10 @@
                 {   // 正規版データ
                     DataRec.OrderSheetType = (int)CommonDefine.OrderSheetType.RegularType;                              // 簡易・本式フラグ
 
-                    if (DataTab.Group3CheckBox[(int)Group3CheckBox.Previous].Checked) {
+                    if (DataTab.Group3CheckBox[(int)Group3CheckBox.Previous].Checked)
+                    {
                         DataRec.PrePayments = 1;                                                                        // 前金払
-                        DataRec.PrePaymentsDays	= CommonMotions.cnvInt(DataTab.Group3TextBox[(int)Group3TextBox.PrePaymentsDays].Text);         // 前金払日数
+                        DataRec.PrePaymentsDays = CommonMotions.cnvInt(DataTab.Group3TextBox[(int)Group3TextBox.PrePaymentsDays].Text);         // 前金払日数
                         DataRec.PrePaymentsPrice = CommonMotions.cnvDouble(DataTab.Group3TextBox[(int)Group3TextBox.PrePaymentsPrice].Text);    // 前金払金額
                     }
                     if (DataTab.Group3CheckBox[(int)Group3CheckBox.Partial].Checked)
@@ -1695,7 +1690,7 @@
         /// </summary>
         /// <returns></returns>
         private bool EntryPurchaseOrderDetail(IOPurchaseOrderDetail DetailDB
-                                                ,IOConstructionLedgerDetail LDetailDB
+                                                , IOConstructionLedgerDetail LDetailDB
                                                 , PurchaseOrderInputPage DataTab
                                                 , int SeqNo)
         {
@@ -1813,7 +1808,7 @@
                 int ConstrCode = CommonMotions.cnvInt(GetRow.Cells[(int)DispDetailGridColumn.SourceCode].Value);
                 int GrpCnt = (int)FrmConstructionLedger.DataGroup.ConstructionCosts;
                 int LedgerLineCnt = CommonMotions.cnvInt(GetRow.Cells[(int)DispDetailGridColumn.LedgerDetailNo].Value);
-                
+
                 strSQL.Append(LDetailDB.CreatePrimarykeyString(ConstrCode, GrpCnt));
                 nDetailCnt = LDetailDB.SelectMaxDetailCount(strSQL.ToString(), false) + 1;
 
@@ -1828,7 +1823,7 @@
                 strSQL.Append(", ''");                                      // 項目名称
                 strSQL.Append(", ''");                                      // 工事内容
                 strSQL.Append(", A.CompanyType");                           // 協力会社コードタイプ
-                strSQL.AppendFormat(", {0}",DataTab.OrderCompanyCode);      // 協力会社コード
+                strSQL.AppendFormat(", {0}", DataTab.OrderCompanyCode);      // 協力会社コード
                 strSQL.AppendFormat(", '{0}'", DataTab.PageValueItem[(int)PageValue.SubConstractorName].Text);  // 協力会社名称
                 strSQL.Append(", 0");                                       // 予算（見積）金額
                 strSQL.Append(", 0");                                       // 実行金額
@@ -1973,7 +1968,7 @@
         /// 削除ボタン押下後の削除処理
         /// </summary>
         /// <returns></returns>
-        private bool DataRemoveProcess(bool bDellall,int StartCnt, int EndCnt)
+        private bool DataRemoveProcess(bool bDellall, int StartCnt, int EndCnt)
         {
             IOPurchaseOrder OrderDB = new IOPurchaseOrder();
             IOPurchaseOrderDetail PDetailDB = new IOPurchaseOrderDetail();
@@ -2052,7 +2047,7 @@
 
                 // フラグクリア
                 m_bChengeAns = false;
-                
+
                 return true;
             }
             catch (System.Exception ex)
@@ -2165,10 +2160,10 @@
                 {
                     bool bSave = m_bChengeAns;
                     m_bChengeAns = false;
-                    
+
                     // ページ削除
                     PageRemoveProcess(false);
-                    
+
                     m_bChengeAns = bSave;
                 }
                 return true;
@@ -2247,66 +2242,6 @@
         }
         #endregion
 
-        #region 初期時申請・承認表示処理
-        /// <summary>
-        /// 初期時申請・承認表示処理
-        /// </summary>
-        private void InitApprovalDisplay()
-        {
-            try
-            {
-                // 承認コード取得
-                int iApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("注文書承認")).Key;
-
-                // 起動元のリストに承認画面があれば表示しない
-                if (ClsApprovalPermission.ExceApprovalScreen())
-                {
-                    pnlApproval.Visible = false;
-                }
-
-                // 承認ボタン・件数の非表示
-                btnApproval.Visible = false;
-                lblApprovalCount.Visible = false;
-
-                // ----- 初期時は申請ボタンのサイズを最大にする
-                btnPetition.Size = new Size(250, btnPetition.Size.Height);
-
-                // ----- 工事コード・承認機能番号取得（申請レコードがなお場合は未申請）
-                if (!ClsApprovalPermission.CheckProcessPetition(m_ConstructionCode, iApprovalCode, m_OrderNo)) return;
-
-                // ----- 申請済の場合
-                // 申請ボタンの表示
-                btnPetition.Text = CommonDefine.PetitionButtonString[1];
-                btnPetition.ForeColor = Color.Black;
-                btnPetition.Size = btnApproval.Size;
-                btnPetition.Enabled = false;
-
-                // 承認ボタンの表示
-                btnApproval.Visible = true;
-
-                // ----- 承認済の場合
-                if (ClsApprovalPermission.CheckProcessApproval(m_ConstructionCode, iApprovalCode, m_OrderNo))
-                {
-                    btnApproval.Text = CommonDefine.ApprovalButtonString[1];
-                    btnApproval.ForeColor = Color.Black;
-                    // 承認済みの場合は入力できない
-                    DisplayReadOnly();
-
-                    m_bApprovalLock = true;
-                }
-
-                // 承認件数の表示
-                lblApprovalCount.Visible = true;
-                SetApprovalCount();
-
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-        }
-        #endregion
-
         #region 書込み禁止処理
         /// <summary>
         /// 入力を変更禁止にする
@@ -2359,39 +2294,6 @@
         }
         #endregion
 
-        #region 承認数表示
-        /// <summary>
-        /// 承認件数のセット
-        /// </summary>
-        private void SetApprovalCount()
-        {
-            try
-            {
-                // 初期値セット
-                lblApprovalCount.Text = "";
-
-                // 工事コード・承認機能番号取得
-                int iApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("注文書承認")).Key;
-                // 担当部署取得
-                int DepartmentCode = ClsApprovalPermission.GetFromConstrAndAppTheDep(m_ConstructionCode, iApprovalCode, m_OrderNo);
-
-                // 承認データ取得
-                int ApprovalCount = ClsApprovalPermission.GetProcessApprovalDataCount(m_ConstructionCode, iApprovalCode, m_OrderNo);
-
-                // 承認経路マスタ取得
-                int MasterCount = ClsApprovalPermission.GetApprovalMasterCount(iApprovalCode, DepartmentCode);
-
-                // 初期値セット
-                lblApprovalCount.Text = string.Format("{0}/{1}", ApprovalCount, MasterCount);
-
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-        }
-        #endregion
-
         #region 明細グリッド行計算処理
         /// <summary>
         /// 明細グリッド行計算処理
@@ -2492,7 +2394,7 @@
                 PurchaseOrderInputPage CurPage = m_TabPageList[TabCnt];
 
                 // 合計欄の表示
-                PriceValue+=dStatutoryWelfareVal;
+                PriceValue += dStatutoryWelfareVal;
                 CurPage.Group1Label.Text = PriceValue.ToString("#,0");
                 // 発注金額更新(発注金額は変更しない 2017/03/17)
                 //CurPage.PageValueItem[(int)PageValue.OrderPrice].Text = PriceValueValue.ToString("#,0");
@@ -2595,7 +2497,7 @@
                     // 初期セット
                     m_frmInputImage.ImageDataNo = (int)ProcessManagement.Forms.DataEntry.FrmImage.RegularImageNo.Type0;
                 }
-                
+
                 // クロースドハンドラをこちらで定義する
                 m_frmInputImage.FormClosed += new FormClosedEventHandler(FrmInputImage_FormClosed);
                 m_frmInputImage.Show();
@@ -2856,7 +2758,7 @@
                     else
                         iRet = (int)ProcessManagement.Forms.DataEntry.FrmImage.RegularImageNo.Type6;
                 }
-                
+
                 return iRet;
             }
             catch (System.Exception ex)
@@ -2893,7 +2795,7 @@
                     else
                         iRet = (int)ProcessManagement.Forms.DataEntry.FrmImage.RegularImageNo.Type0;
                 }
-                
+
                 return iRet;
             }
             catch (System.Exception ex)
@@ -2937,7 +2839,7 @@
                     else
                         iRet = (int)ProcessManagement.Forms.DataEntry.FrmImage.RegularImageNo.Type4;
                 }
-                
+
                 return iRet;
             }
             catch (System.Exception ex)
@@ -2984,7 +2886,7 @@
             }
         }
         #endregion
-                
+
         #region 見積受取日をチェックする
         /// <summary>
         /// 見積受取日をチェックする
@@ -3203,6 +3105,37 @@
         }
         #endregion
 
+        #region 承認順チェック
+        /// <summary>
+        /// 承認順チェック
+        /// </summary>
+        /// <returns></returns>
+        private bool CheckApprovalOrder()
+        {
+            try
+            {
+                // 承認順序のチェック
+                if (!ClsCommonApproval.CheckProcessApprovalSequence(m_ConstructionCode
+                                                                        , (int)ClsExcute.ApprovalListNo.PurchaseOrderEntryApproval
+                                                                        , 1))
+                {
+                    MessageBox.Show("１つ前の承認が確定していません。"
+                                    , "承認順番エラー"
+                                    , MessageBoxButtons.OK
+                                    , MessageBoxIcon.Error);
+                    return false;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
         // > ----------- デバック処理
         #region 福利厚生費セット処理
         /// <summary>
@@ -3260,7 +3193,7 @@
                     if (!ADB.ExecuteNonQuery(strSQL.ToString(), false))
                     {
                         ADB.rollback();
-                        MessageBox.Show("更新エラー","エラー",MessageBoxButtons.OK);
+                        MessageBox.Show("更新エラー", "エラー", MessageBoxButtons.OK);
                         return;
                     }
                 }
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestEntry/FrmEntryReqSelOrderer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestEntry/FrmEntryReqSelOrderer.cs	(revision 365)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestEntry/FrmEntryReqSelOrderer.cs	(revision 366)
@@ -387,7 +387,7 @@
                         foreach (RequestHead ReqHead in lstReqHead)
                         {
                             // 最終承認済
-                            if (ClsApprovalPermission.CheckProcessApprovalData(ReqHead.ReqConstructionCode, (int)ClsExcute.ApprovalListNo.OrderBillingApproval, ReqHead.OrderNo) == true)
+                            if (ClsCommonApproval.CheckProcessApprovalData(ReqHead.ReqConstructionCode, (int)ClsExcute.ApprovalListNo.OrderBillingApproval, ReqHead.OrderNo) == true)
                             {
                                 // 請求月をリストに追加（以降はチェックする必要なし）
                                 lstReqestMonth.Add(nRequestMonth);
@@ -446,7 +446,7 @@
                 foreach (RequestHead ReqHead in lstWork)
                 {
                     // 最終承認されていない場合は対象外
-                    if (ClsApprovalPermission.CheckProcessApprovalData(ReqHead.ReqConstructionCode, (int)ClsExcute.ApprovalListNo.OrderBillingApproval, ReqHead.OrderNo) == false)
+                    if (ClsCommonApproval.CheckProcessApprovalData(ReqHead.ReqConstructionCode, (int)ClsExcute.ApprovalListNo.OrderBillingApproval, ReqHead.OrderNo) == false)
                     {
                         continue;
                     }
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestEntry/FrmEntryReqSelRequest.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestEntry/FrmEntryReqSelRequest.cs	(revision 365)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestEntry/FrmEntryReqSelRequest.cs	(revision 366)
@@ -545,7 +545,7 @@
                 foreach (RequestHead ReqHead in lstWork)
                 {
                     // 最終承認済
-                    if (ClsApprovalPermission.CheckProcessApprovalData(ReqHead.ReqConstructionCode, (int)ClsExcute.ApprovalListNo.OrderBillingApproval, ReqHead.OrderNo) == false)
+                    if (ClsCommonApproval.CheckProcessApprovalData(ReqHead.ReqConstructionCode, (int)ClsExcute.ApprovalListNo.OrderBillingApproval, ReqHead.OrderNo) == false)
                     {
                         continue;
                     }
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestEntry/FrmRequestPrintSelAux.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestEntry/FrmRequestPrintSelAux.cs	(revision 365)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestEntry/FrmRequestPrintSelAux.cs	(revision 366)
@@ -265,7 +265,7 @@
                 foreach (RequestHead ReqHead in lstWork)
                 {
                     // 最終承認済
-                    if (ClsApprovalPermission.CheckProcessApprovalData(ReqHead.ReqConstructionCode, (int)ClsExcute.ApprovalListNo.OrderBillingApproval, ReqHead.OrderNo) == false)
+                    if (ClsCommonApproval.CheckProcessApprovalData(ReqHead.ReqConstructionCode, (int)ClsExcute.ApprovalListNo.OrderBillingApproval, ReqHead.OrderNo) == false)
                     {
                         continue;
                     }
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInputAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInputAuxiliary.cs	(revision 365)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInputAuxiliary.cs	(revision 366)
@@ -4161,7 +4161,7 @@
                 PrcApp.ApprovalStatus = nStatus;
 
                 // 承認データの登録
-                ClsApprovalPermission.CreatePetitionApproval(PrcApp);
+                ClsCommonApproval.CreatePetitionApproval(PrcApp);
 
                 return true;
             }
